petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCFactorSetMatOrderingType

Sets the ordering routine (to reduce fill) to be used in the LU factorization.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorSetMatOrderingType(PC pc,MatOrderingType ordering)

Logically Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| ordering | - the matrix ordering name, for example, MATORDERINGND or MATORDERINGRCM Many br

### Options Database Key

-pc_factor_mat_ordering_type <nd,rcm,...> -Sets ordering routine Many br

Many br

Notes: nested dissection is used by default Many br

For Cholesky and ICC and the SBAIJ format reorderings are not available, Many brsince only the upper triangular part of the matrix is stored. You can use the Many brSeqAIJ format in this case to get reorderings. Many br

Level:intermediate
Location:src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages